import 'package:play_lab/constants/method.dart';
import 'package:play_lab/core/utils/url_container.dart';
import 'package:play_lab/data/services/api_service.dart';

class GenresRepo {
  ApiClient apiClient;
  GenresRepo({required this.apiClient});

  Future<dynamic> getGenresData() async {
    String url = '${UrlContainer.baseUrl}${UrlContainer.genres}';
    final response = await apiClient.request(url, Method.getMethod, null);
    print(response.responseJson);
    return response;
  }
}
